// KM left sidebar - instances area - search

.ontodia-instances-search {
  flex: auto;
  display: flex;
  flex-direction: column;

  &__criteria {
    flex-shrink: 0;
    margin: 10px 0 10px 0;
  }

  &__criterions {
    padding-left: 15px;
    padding-right: 15px;
    margin-bottom: 15px;
    &:empty { margin-bottom: 0; }
  }

  &__criterion {
    display: block;
    position: relative;
    width: 100%;
    background-color: #E6F2F4;
    border-radius: 10px;
    padding: 12px 10px;
    border: 1px solid #DBDFE0;
  }

  &__criterion-class {
    border: $color-dark 1px dashed;
    background: rgb(255, 210, 33);
    padding: 3px 0.5em;
    word-wrap: break-word;
  }

  &__criterion-element {
    border: $color-dark 1px dashed;
    background: rgb(255, 131, 92);
    padding: 0 .5em 0 .5em;
    word-wrap: break-word;
  }

  &__criterion-link-type {
    border: $color-dark 1px dashed;
    background: rgb(202, 255, 206);
    padding: 0 .5em 0 .5em;
    word-wrap: break-word;
  }

  &__link-direction {
    height: 1em;
    opacity: 0.5;
  }

  &__criterion-remove {
    float: right;
    margin-left: 4px;

    &.ontodia-btn-group.ontodia-btn-group-xs .ontodia-btn-default {
      color: $color-white;
      background-color: $color-dark;
      border-color: $color-dark;
      border-radius: 3px;
    }
  }

  &__criterion-filter {
    float: left;
    background-image: url("../images/filter.png");
    background-size: 20px 20px;
    width: 20px;
    height: 20px;
    margin-right: 10px;
  }

  &__text-criteria { 
    margin: 0 10px; 

    .ontodia-btn-default {

      border: 1px solid $input-border-color;
    }
  }

  &__rest {
    padding: 10px 10px 0 10px;
    border-top: 1px solid rgb(221, 221, 221);
  }

  &__results {
    padding-left: 0;
    padding-top: 10px;
    margin: 0 10px 0 10px;
    outline: none;
  }

  &[data-state='finished'] &__results:empty:before {
    content: 'No items correspond to the specified criteria.';
    font-style: italic;
  }

  &__rest-end { margin: 5px 0 10px 0; }
  &__load-more {
    width: 100%;
  }
}
